Search found 15 matches

by JackDoe
Thu Feb 21, 2019 12:03 am
Forum: Ren'Py Questions and Announcements
Topic: Dynamic menu choices from array/list [SOLVED]
Replies: 5
Views: 302

Re: Dynamic menu choices from array/list

Alex wrote:
Wed Feb 20, 2019 3:19 pm
:-))) Instead of calling a menu call a custom screen with bunch of buttons that will let player to choose skills and all.
The question is how to make these buttons dynamically from the array.
Never use screens before. :?
by JackDoe
Wed Feb 20, 2019 11:51 am
Forum: Ren'Py Questions and Announcements
Topic: Dynamic menu choices from array/list [SOLVED]
Replies: 5
Views: 302

Re: Dynamic menu choices from array/list

Alex wrote:
Wed Feb 20, 2019 11:44 am
it might be easier to use a screen.
Thank you!
No idea how it will help me
by JackDoe
Wed Feb 20, 2019 10:21 am
Forum: Ren'Py Questions and Announcements
Topic: Dynamic menu choices from array/list [SOLVED]
Replies: 5
Views: 302

Dynamic menu choices from array/list [SOLVED]

Hello! I wonder if it's possible to dynamically create menu choices from array in RenPy? Let's say you have 100 skills in the game, and player can use 1-5 of them (like in any rpg). Is it possible to display current skillset as a menu choices and remember the one that player picked? I wrote the foll...
by JackDoe
Thu Sep 06, 2018 11:05 am
Forum: Ren'Py Questions and Announcements
Topic: Ren'Py 7.1.0 Prereleased
Replies: 86
Views: 9406

Re: Ren'Py 7.1.0 Prereleased

Imperf3kt wrote:
Thu Sep 06, 2018 11:00 am
Invalid maximum heap size: -Xmx4096m
Just open gradle.properties in Android Studio and change the value to -Xmx512m
by JackDoe
Sat Sep 01, 2018 7:16 am
Forum: Ren'Py Questions and Announcements
Topic: Ren'Py 7.1.0 Prereleased
Replies: 86
Views: 9406

Re: Ren'Py 7.1.0 Prereleased

I'm still having the "Starting..." problem with the latest update.
by JackDoe
Wed Aug 29, 2018 9:12 am
Forum: Ren'Py Questions and Announcements
Topic: Ren'Py 7.1.0 Prereleased
Replies: 86
Views: 9406

Re: Ren'Py 7.1.0 Prereleased

jack_norton wrote:
Wed Aug 29, 2018 3:06 am
I would really suggest Pytom to put a value like: -Xmx512M in the gradle.properties
That would be awesome. When I open my project in Android Studio to fix memory bug I always get new errors.
by JackDoe
Mon Aug 27, 2018 8:54 am
Forum: Ren'Py Questions and Announcements
Topic: Ren'Py 7.1.0 Prereleased
Replies: 86
Views: 9406

Re: Ren'Py 7.1.0 Prereleased

Game uploaded to Google Play doesn't work with Android 7.0. It freezes on "Starting..." screen without any errors. It work fine on 4.4.2 and 5.1.
Game is set in landscape orientation. It also loading default RenPy icon instead of custom one.
Image
by JackDoe
Fri Aug 24, 2018 10:14 am
Forum: Ren'Py Questions and Announcements
Topic: Ren'Py 7.1.0 Prereleased
Replies: 86
Views: 9406

Re: Ren'Py 7.1.0 Prereleased

For the heap error found a solution online: Step 1 : Open gradle.properties file in your Android Studio project. Step 2: Find the line in the file: # The setting is particularly useful for tweaking memory settings. org.gradle.jvmargs=-Xmx256m I put 256 instead of the default value which was 1576-so...
by JackDoe
Sun Aug 19, 2018 9:59 am
Forum: Development of Ren'Py
Topic: Unable to start the Gradle daemon process in 7.1.0
Replies: 12
Views: 2184

Re: Unable to start the Gradle daemon process in 7.1.0

Here is one of the links I mentioned: https://forum.unity.com/threads/could-not-reserve-enough-space-for-object-heap-resolved.88119/ not sure if this is the same thing or not, but seems like a similar problem. I would see about closing any software running in the background though. Even though I ha...
by JackDoe
Sun Aug 19, 2018 4:26 am
Forum: Development of Ren'Py
Topic: Unable to start the Gradle daemon process in 7.1.0
Replies: 12
Views: 2184

Re: Unable to start the Gradle daemon process in 7.1.0

I had the same error so I closed down a bunch of programs and tried again and that solved it for me, I saw that error has also been seen in Unity and some other similar programs, it doesn’t seem to be about your total memory, but perhaps memory allocated to java or something like that. After that I...
by JackDoe
Sun Aug 19, 2018 4:11 am
Forum: Development of Ren'Py
Topic: Unable to start the Gradle daemon process in 7.1.0
Replies: 12
Views: 2184

Re: Unable to start the Gradle daemon process in 7.1.0

gammastre wrote:
Sat Aug 18, 2018 12:07 pm
Fixed this issue by deleting both the rapt folder in the renpy folder and .gradle folder in C:\Users\<username\. I also did a reboot for safe measure before reinstalling Android SDK etc., but I doubt that's really needed.
Doesn't work on my side. Still getting an error.
by JackDoe
Fri Aug 17, 2018 3:44 pm
Forum: Development of Ren'Py
Topic: Unable to start the Gradle daemon process in 7.1.0
Replies: 12
Views: 2184

Re: Unable to start the Gradle daemon process in 7.1.0

Imperf3kt wrote:
Fri Aug 17, 2018 12:47 am
Okay, just got the error myself.
After a few minutes of digging, it appears to be a similar issue as ANT had (previous Android build library).

I haven't yet figured out what causes it.
Ant issue was fixed with SDK installation.
Still got error with Gradle.
by JackDoe
Thu Aug 16, 2018 12:07 pm
Forum: Development of Ren'Py
Topic: Unable to start the Gradle daemon process in 7.1.0
Replies: 12
Views: 2184

Unable to start the Gradle daemon process in 7.1.0

Hello. I tried new prerelease 7.1.0. version to build apk files and got this error: Creating assets directory. Creating expansion file. Packaging internal data. I'm using Gradle to build the package. Starting a Gradle Daemon (subsequent builds will be faster) FAILURE: Build failed with an exception....
by JackDoe
Sun Aug 12, 2018 11:25 am
Forum: Development of Ren'Py
Topic: Android API level 14 error
Replies: 2
Views: 417

Re: Android API level 14 error

Thank you, PyTom! I'm gonna wait.
by JackDoe
Sun Aug 12, 2018 10:33 am
Forum: Development of Ren'Py
Topic: Android API level 14 error
Replies: 2
Views: 417

Android API level 14 error

Hello. I tried to upload apk file of my game to the Google Play market and I got error that API level of my application is 14. 26 level is required.
RenPy is up to date (7.0.0.196), latest JDK x32 is installed. However during configuration I can only pick Android 4.0 target version.